LINUX.ORG.RU

Skype вылетает


0

1

при запуске в консоли отображается строка

Failed to load plugin "/usr/lib/ladspa/caps.so": /usr/lib/ladspa/caps.so: неправильный класс ELF: ELFCLASS64

Gentoo x86_64, любая версия skype, google молчит

skype - 32 бита, /usr/lib/ladspa/caps.so - 64 бита, как вариант подсунь 32 битную версию этой библиотеки через LD_PRELOAD, а вообще лучше спросить megabaks, как оно в генте у вас сделано

vaino ()

Обратись в техподдержку. Ты ошибся сайтом.

r2d2 ()
Ответ на: комментарий от vaino

Нужно просто установить пакеты с 32-битными библиотеками. Ошибка ELFCLASS64 возникает, когда все библиотеки с таким названием уже перебраны, и подходящей не найдено. Меня смущает то, что поиск ведётся в каталоге /usr/lib/ladspa/. Может в lib32 всё давно лежит, но Skype в /usr/lib32/ladspa/ не ищет.

ZenitharChampion ★★★★★ ()

неправильный класс ELF

любая версия skype

А скайп 64-битный есть разве «фирменный»?

amorpher ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Нужно просто установить пакеты с 32-битными библиотеками.
Может в lib32 всё давно лежит, но Skype в /usr/lib32/ladspa/ не ищет.

спасибо, КО, я бы никогда не догадался

// шутка

vaino ()

Стоит и работает net-im/skype-2.1.0.81, бинарник 32-битный, библиотеки /usr/lib/ladspa/caps.so нету.

shatsky ★★ ()
Ответ на: комментарий от shatsky

Дык нету у меня asoundrc, а в Asound.conf указан вывод в alsaequal(ибо на встроенной звуковой звук уныл, а поставить внешнюю не получается)

N1ghtmare ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.